## org.codehaus.groovy.grails.plugins.web.taglib
Class ValidationTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.ValidationTagLib

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ValidationTagLib

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`ValidationTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `eachErrorInternal(Object attrs, Object body)`
`Object` `eachErrorInternal(Object attrs, Object body, Object outputResult)`
`Object` `extractErrors(Object attrs)`
`Object` `formatValue(Object value)`
`static Object` `getCONSTRAINT_TYPE_MAP()`
`Object` `getEachError()`
`Object` `getFieldError()`
`Object` `getFieldValue()`
`Object` `getHasErrors()`
`Object` `getMessage()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `getRenderErrors()`
`static Object` `getReturnObjectForTags()`
`Object` `getValidate()`
`Object` `invokeMethod(String method, Object arguments)`
`Object` `messageImpl(Object attrs)`
`static void` `setCONSTRAINT_TYPE_MAP(Object value)`
`void` `setEachError(Object value)`
`void` `setFieldError(Object value)`
`void` `setFieldValue(Object value)`
`void` `setHasErrors(Object value)`
`void` `setMessage(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setRenderErrors(Object value)`
`static void` `setReturnObjectForTags(Object value)`
`void` `setValidate(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationTagLib

    public ValidationTagLib()

Method Detail

### getReturnObjectForTags

    public static Object getReturnObjectForTags()

### setReturnObjectForTags

    public static void setReturnObjectForTags(Object value)

### getFieldError

    public Object getFieldError()

### setFieldError

    public void setFieldError(Object value)

### getFieldValue

    public Object getFieldValue()

### setFieldValue

    public void setFieldValue(Object value)

### getHasErrors

    public Object getHasErrors()

### setHasErrors

    public void setHasErrors(Object value)

### getEachError

    public Object getEachError()

### setEachError

    public void setEachError(Object value)

### getRenderErrors

    public Object getRenderErrors()

### setRenderErrors

    public void setRenderErrors(Object value)

### getMessage

    public Object getMessage()

### setMessage

    public void setMessage(Object value)

### getCONSTRAINT_TYPE_MAP

    public static Object getCONSTRAINT_TYPE_MAP()

### setCONSTRAINT_TYPE_MAP

    public static void setCONSTRAINT_TYPE_MAP(Object value)

### getValidate

    public Object getValidate()

### setValidate

    public void setValidate(Object value)

### extractErrors

    public Object extractErrors(Object attrs)

### eachErrorInternal

    public Object eachErrorInternal(Object attrs,
                                    Object body,
                                    Object outputResult)

### messageImpl

    public Object messageImpl(Object attrs)

### formatValue

    public Object formatValue(Object value)

### eachErrorInternal

    public Object eachErrorInternal(Object attrs,
                                    Object body)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project